Spell check for job
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/spellCheck/check/{jobUid} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"lang": "<string>",
"texts": [
"<string>"
],
"referenceTexts": [
"<string>"
],
"zeroLengthSeparator": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/spellCheck/check/{jobUid}"
payload = {
"lang": "<string>",
"texts": ["<string>"],
"referenceTexts": ["<string>"],
"zeroLengthSeparator": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lang: '<string>',
texts: ['<string>'],
referenceTexts: ['<string>'],
zeroLengthSeparator: '<string>'
})
};
fetch('https://cloud.memsource.com/web/api2/v1/spellCheck/check/{jobUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"spellCheckResults": [
{
"misspelledWords": [
{
"offset": 123,
"word": "<string>"
}
],
"text": "<string>"
}
]
}Spell Check
Spell check for job
Spell check using the settings from the project of the job
POST
/
api2
/
v1
/
spellCheck
/
check
/
{jobUid}
Spell check for job
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Job UID
Body
application/json
Response
OK
Spell check results for each submitted text
Show child attributes
Show child attributes
Was this page helpful?
⌘I